# Update an API Key Updates an API Key. The expected attributes depend on the key type: - Ingest Keys (prefix hcxik_): Support name and enabled attributes - Configuration Keys (prefix hcxlk_): Support name, enabled, and permissions attributes Endpoint: PATCH /2/teams/{teamSlug}/api-keys/{ID} Version: 1.0.0 Security: bearerAuth ## Path parameters: - `teamSlug` (string, required) The slug of the Team - `ID` (string, required) A unique identifier ## Request fields (application/vnd.api+json): - `data` (any, required) ## Response 200 fields (application/vnd.api+json): - `data` (object, required) - `data.id` (string) The unique identifier of the API Key. The last two characters of the prefix define the type of key. ik for Ingest Keys and lk for Configuration Keys. Example: "hcxik_12345678901234567890123456" - `data.type` (string) Enum: "api-keys" - `data.attributes` (any) - `data.relationships` (object) - `data.relationships.environment` (object, required) The Environment this object is associated with. - `data.relationships.creator` (any) - `data.relationships.editor` (any) - `data.links` (object) - `data.links.self` (string) The URL of this resource Example: "/2/teams/my-team/api-keys/hcxik_12345678901234567890123456" ## Response 400 fields (application/problem+json): - `error` (string, required) - `status` (number, required) The HTTP status code of the error. - `type` (string, required) Type is a URI used to uniquely identify the type of error. - `title` (string, required) Title is a human-readable summary that explains the type of the problem. - `detail` (string) The general, human-readable error message. - `instance` (string) The unique identifier (ID) for this specific error. ## Response 401 fields (application/json): - `error` (string) ## Response 403 fields (application/json): - `error` (string) ## Response 404 fields (application/json): - `error` (string) ## Response 413 fields (application/json): - `error` (string, required) - `status` (number, required) The HTTP status code of the error. - `type` (string, required) Type is a URI used to uniquely identify the type of error. - `title` (string, required) Title is a human-readable summary that explains the type of the problem. - `detail` (string) The general, human-readable error message. - `instance` (string) The unique identifier (ID) for this specific error. ## Response 415 fields (application/vnd.api+json): - `errors` (array) - `errors.id` (string, required) - `errors.status` (string) - `errors.code` (string, required) - `errors.title` (string) - `errors.detail` (string) - `errors.source` (object) - `errors.source.pointer` (string) - `errors.source.header` (string) - `errors.source.parameter` (string) ## Response 422 fields (application/problem+json): - `error` (string, required) - `status` (number, required) The HTTP status code of the error. - `type` (string, required) Type is a URI used to uniquely identify the type of error. - `title` (string, required) Title is a human-readable summary that explains the type of the problem. - `detail` (string) The general, human-readable error message. - `instance` (string) The unique identifier (ID) for this specific error. - `type_detail` (array) - `type_detail.field` (string) - `type_detail.code` (string) Enum: "invalid", "missing", "incorrect_type", "already_exists" - `type_detail.description` (string) ## Response 429 fields (application/json): - `error` (string) ## Response 500 fields (application/problem+json): - `error` (string, required) - `status` (number, required) The HTTP status code of the error. - `type` (string, required) Type is a URI used to uniquely identify the type of error. - `title` (string, required) Title is a human-readable summary that explains the type of the problem. - `detail` (string) The general, human-readable error message. - `instance` (string) The unique identifier (ID) for this specific error.